### Enumeration

# Clutter RequestMode

#### Declaration

    enum Clutter.RequestMode

#### Description [src]

Specifies the type of requests for a `ClutterActor`.

#### Members

`CLUTTER_REQUEST_HEIGHT_FOR_WIDTH`

  Height for width requests.

  - Value: `0`
  - Available since: 16
`CLUTTER_REQUEST_WIDTH_FOR_HEIGHT`

  Width for height requests.

  - Value: `1`
  - Available since: 16
`CLUTTER_REQUEST_CONTENT_SIZE`

  Use the preferred size of the `ClutterContent`, if it has any (available since 1.22).

  - Value: `2`
  - Available since: 16